[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# NoSound

Stop system speaker

## Declaration

Source position: crth.inc line 97

`procedure NoSound;`

## Description

NoSound stops the speaker sound. This call is not supported on all operating systems.

## Errors

None.

## See also

Sound |  | Sound system speaker

## Example

    Program Example16;
    uses Crt;

    { Program to demonstrate the Sound and NoSound function. }

    var
      i : longint;
    begin
      WriteLn('You will hear some tones from your speaker');
      while (i<15000) do
       begin
         inc(i,500);
         Sound(i);
         Delay(100);
       end;
      WriteLn('Quiet now!');
      NoSound; {Stop noise}
    end.

Documentation generated on: Feb 26 2014